<html>
    <head>
        <title>SkipTheDishies</title>
    </head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">

    <script src="//ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>

    <link rel="stylesheet" href="css/bootstrap.css">
    <link rel="stylesheet" href="css/app.css">

    <style>
        table{
            margin-right: 20px;
        }
    </style>

    <script>
        $(document).ready(function () {  
            $('#inputRestaurantName').bind("enterKey",function(e){
                findPlace($("#inputRestaurantName").val());
            });
            $('#inputRestaurantName').keyup(function(e){
                if(e.keyCode == 13)
                {
                    $(this).trigger("enterKey");
                }
            });
        });  

        function findPlace(place){
            $.ajax({  
                type: "GET",  
                url: "https://maps.googleapis.com/maps/api/place/findplacefromtext/json?input=" + place + "%20Brasil&inputtype=textquery&fields=photos&key=AIzaSyAc6bHbFnreDxbn9uONXmYkHOgfCDWVwOw",  
                contentType: "application/json; charset=utf-8",  
                dataType: "json",  
                success: function (data) {  
                  
                    console.log(data.status);

                    if(data.status = 'ZERO_RESULTS')
                        alert("Your search returned no results.");
                    else{
                        $("#DIV").html('');   
                        var DIV = '';  
                        $.each(data.candidates, function (i, item) {  
                            var rows = "<tr>" +  
                                "<td id='Picture'><img src='https://maps.googleapis.com/maps/api/place/photo?maxwidth=100&photoreference=" + item.photos[0].photo_reference + "&sensor=false&key=AIzaSyAc6bHbFnreDxbn9uONXmYkHOgfCDWVwOw'></td>" +  
                                "<td id='Name'>" + item.name + "</td>" +  
                                "<td id='Address'>" + item.address + "</td>" +  
                                "<td id='PhoneNo'>" + item.phoneNo + "</td>" +  
                                "<td id='AdmissionDate'>" + Date(item.admissionDate,  
                                "dd-MM-yyyy") + "</td>" +  
                                "</tr>";  
                            $('#Table').append(rows);  
                        });
                    }
                },
    
                failure: function (data) {  
                    alert("failure: " + data.responseText);  
                }, //End of AJAX failure function  
                error: function (data) {  
                    alert("error: " + data.responseText);  
                } //End of AJAX error function  
    
            });   
        }
    </script>

    <body>
    
        <div class="row jumbotron" style="background-color: #E91431">
            <div class="col-xs-12 col-md-8">
                <a class="navbar-brand" href="/"></a>
            </div>
            <div class="col-xs-6 col-md-4">
                <h4 style="color:#fff;text-align: right;padding: 10px">VanHack Challenges</h4>
            </div>
        </div>

        <div class="row">
            <table class="table table-striped">
                <tr>
                    <td>
                        <div class="form-row">
                            <input type="text" class="form-control" id="inputRestaurantName" placeholder="type your favorite restaurants name">
                        </div>
                        <small id="findHelp" class="form-text text-muted">For example: Museu, Mc Donalds</small>
                    </td>
                </tr>
            </table>
        </div>
        <div class="row">
            <table class="table table-bordered" id="Table">  
                <tr>  
                    <th>Picture</th>  
                    <th>Name</th>  
                    <th>Address</th>  
                    <th>Phone No</th>  
                    <th>Rating</th>  
                </tr>
            </table>
        </div>

    </body>
</html>